## obs-transition-table 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)
project(transition-table VERSION 0.2.2)
set(PROJECT_FULL_NAME "Transition Table")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

find_package(Qt5Widgets)

set(CMAKE_AUTOMOC ON)

set(transition-table_HEADERS
	transition-table.hpp
	version.h)
set(transition-table_SOURCES
	transition-table.cpp)

if(WIN32)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(resource.rc.in transition-table.rc)
	list(APPEND transition-table_SOURCES
		transition-table.rc)
endif()

if(BUILD_OUT_OF_TREE)
    find_package(LibObs REQUIRED)
endif()

add_library(transition-table MODULE
	${transition-table_HEADERS}
	${transition-table_SOURCES})

target_link_libraries(transition-table
		obs-frontend-api
		Qt5::Widgets
		libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/transition-table")
    endif()
    set_target_properties(transition-table PROPERTIES PREFIX "")
    install(TARGETS transition-table
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
    target_include_directories(transition-table PRIVATE
        "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
    set_target_properties(transition-table PROPERTIES FOLDER "plugins/exeldro")
    install_obs_plugin_with_data(transition-table data)
endif()

=== debian/changelog ===
obs-transition-table (0.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/install: removed. The upstream source code already installs the data
    file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 14 Feb 2022 14:16:08 -0300

obs-transition-table (0.2.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1004715)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Feb 2022 14:42:44 -0300

=== debian/control ===
Source: obs-transition-table
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 26), qtbase5-dev
Standards-Version: 4.6.0
Homepage: https://obsproject.com/forum/resources/transition-table.1174/
Vcs-Browser: https://salsa.debian.org/debian/obs-transition-table
Vcs-Git: https://salsa.debian.org/debian/obs-transition-table.git
Rules-Requires-Root: no

Package: obs-transition-table
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 26)
Enhances: obs-studio
Description: plugin for OBS Studio to create a transition table control
 This plugin adds a Transition Table to the tools menu. This table is useful
 to program several transitions between scenes. E.g. is possible to program
 a transition from "Any Scene" to "Scene 1" using the transition effect
 "Luma Wipe" and with a duration of the "2000ms".
 .
 This plugin, inspired by OBS Transition Matrix, is user-friendly and adds a
 nice professional touch when moving between scenes. This is a good way to
 create complex OBS setups.
 .
 This plugin is compatible with OBS 26 or higher.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME}

execute_before_dh_install:
	mkdir -p ${PLUGIN_DEST}
	find -name lib${PLUGIN_NAME}.so -exec cp {} ${PLUGIN_DEST}/${PLUGIN_NAME}.so \;

=== debian/watch ===
version=4
https://github.com/exeldro/obs-transition-table/releases .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-transition-table 0.2.3+git20220221.d372847

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18)
-project(transition-table VERSION 0.2.2)
+project(transition-table VERSION 0.2.4)
 set(PROJECT_FULL_NAME "Transition Table")
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

=== debian/changelog ===
obs-transition-table (0.2.3+git20220221.d372847-2) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/watch: added dversionmangle to ignore git revision.

  [ Debian Janitor ]
  * Remove duplicate values for fields Donation in debian/upstream/metadata.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 11 Jul 2022 21:58:09 -0300

obs-transition-table (0.2.3+git20220221.d372847-1) unstable; urgency=medium

  * New upstream version 0.2.3+git20220221.d372847.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 26 Feb 2022 18:18:04 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 26), qtbase5-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://obsproject.com/forum/resources/transition-table.1174/
 Vcs-Browser: https://salsa.debian.org/debian/obs-transition-table
 Vcs-Git: https://salsa.debian.org/debian/obs-transition-table.git

=== debian/watch ===
version=4
opts=dversionmangle=s/\+git\S+// \
https://github.com/exeldro/obs-transition-table/releases .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-transition-table 0.2.6

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.18)
endif()

project(transition-table VERSION 0.2.6)
set(PROJECT_FULL_NAME "Transition Table")

# Set new UUIDs when you start to create a new plugin.
set(MACOS_PACKAGE_UUID "F720F3E7-EBCA-49BF-ACB4-327FDCB8E78E")
set(MACOS_INSTALLER_UUID "3E599B4A-97D1-482F-8C4A-83F01D38F710")

add_library(${PROJECT_NAME} MODULE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

target_sources(${PROJECT_NAME} PRIVATE
	transition-table.cpp
	transition-table.hpp)

if(BUILD_OUT_OF_TREE)
  find_package(libobs REQUIRED)
  find_package(obs-frontend-api REQUIRED)
  include(cmake/ObsPluginHelpers.cmake)
  set(OBS_FRONTEND_API_NAME "obs-frontend-api")
else()
	set(OBS_FRONTEND_API_NAME "frontend-api")
endif()

if(OS_WINDOWS)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	target_sources(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	
elseif(OS_MACOS)
	set(MACOS_BUNDLEID "com.exeldro.${PROJECT_NAME}")
	set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
	set(MACOSX_PLUGIN_BUNDLE_VERSION "${PROJECT_VERSION}")
	set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
	configure_file(cmake/bundle/macos/installer-macos.pkgproj.in ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)
	target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
endif()

# lines if you want add Qt UI in your plugin
find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
set_target_properties(${PROJECT_NAME} PROPERTIES AUTOMOC ON AUTOUIC ON AUTORCC ON)

target_link_libraries(${PROJECT_NAME}
		OBS::${OBS_FRONTEND_API_NAME}
		Qt::Widgets
		OBS::libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
    endif()
    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
    install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
    target_include_directories(${PROJECT_NAME} PRIVATE
        "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
endif()
setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-transition-table (0.2.6-3) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:35:54 -0300

obs-transition-table (0.2.6-2) unstable; urgency=medium

  * debian/watch: using filenamemangle to generate right names for downloaded
    files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Jan 2023 21:50:51 -0300

obs-transition-table (0.2.6-1) unstable; urgency=medium

  * New upstream version 0.2.6.
  * debian/patches/010_update-pt-BR.patch: created to update the pt_BR
    translation.
  * debian/upstream/metadata: added Screenshots field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Jan 2023 13:06:33 -0300

obs-transition-table (0.2.5-3) unstable; urgency=medium

  * debian/watch: disabled the first search rule because the system is not able
    to find a new version when more than one main upstream tarballs is listed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Jan 2023 10:17:26 -0300

obs-transition-table (0.2.5-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.
  * debian/rules: added a target to check if translation to pt_BR is updated.
  * debian/watch: added an extra rule to check if the upstream forgotten to
    put a tag on GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 28 Jan 2023 17:52:34 -0300

obs-transition-table (0.2.5-1) unstable; urgency=medium

  * New upstream version 0.2.5.
  * Ran wrap-and-sort.
  * debian/control:
      - Bumped relationships from 26 to 28.0.1 for obs-studio and libobs
        (current version is not compliant with current OBS in Debian Stable
        release).
      - Improved long description.
      - Removed a sentence about minimum supported version for OBS in long
        description.
  * debian/rules: added a temporary workaround to remove duplicate files
    created by upstream.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Oct 2022 13:03:49 -0300

=== debian/control ===
Source: obs-transition-table
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libobs-dev (>= 28.0.1),
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/transition-table.1174/
Vcs-Browser: https://salsa.debian.org/debian/obs-transition-table
Vcs-Git: https://salsa.debian.org/debian/obs-transition-table.git
Rules-Requires-Root: no

Package: obs-transition-table
Architecture: any
Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Description: plugin for OBS Studio to create a transition table control
 This plugin adds a Transition Table to the tools menu. This table is useful
 to program several transitions between scenes. E.g. is possible to program
 a transition from "Any Scene" to "Scene 1" using the transition effect
 "Luma Wipe" and with a duration of the "2000ms". Consequently, if the current
 scene is any and the selected scene is 1, after clicking on transition button
 on OBS, the transition will occur using Luma Wipe and over a time of 2000ms.
 .
 This plugin, inspired by OBS Transition Matrix, is user-friendly and adds a
 nice professional touch when moving between scenes. This is a good way to
 create complex OBS setups.

## obs-transition-table 0.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
+  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+    legacy_check()
+  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(transition-table VERSION 0.2.6)
+project(transition-table VERSION 0.2.7)
 set(PROJECT_FULL_NAME "Transition Table")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -73,9 +76,14 @@
         LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
     install(DIRECTORY data/locale
         DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+    setup_plugin_target(${PROJECT_NAME})
 else()
     target_include_directories(${PROJECT_NAME} PRIVATE
         "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
-    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+    if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+        set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
+    else()
+        set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+        setup_plugin_target(${PROJECT_NAME})
+    endif()
 endif()
-setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-transition-table (0.2.7-5) unstable; urgency=medium

  * debian/changelog: fixed a mistake in previous changelog, changing from
    libusb-1.0-0-dev to libxkbcommon-dev in Build-Depends field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Mar 2025 18:14:06 -0300

obs-transition-table (0.2.7-4) unstable; urgency=medium

  * debian/control:
      - Added libxkbcommon-dev to Build-Depends field.
      - Bumped Standards-Version to 4.7.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Mar 2025 17:10:03 -0300

obs-transition-table (0.2.7-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_fix-FTBFS-qt6.patch: created to fix a FTBFS with
    Qt >= 4.7.0. Thanks to Exeldro (upstream). (Closes: #1099975)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 09 Mar 2025 22:50:25 -0300

obs-transition-table (0.2.7-2) unstable; urgency=medium

  * debian/control:
      - Changed qtbase5-dev by qt6-base-dev in Build-Depends field.
      - Improved long description.
  * debian/copyright: updated packaging copyright years.
  * debian/rules: removed no longer needed variable QT_SELECT=qt5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 23 May 2024 12:15:54 -0300

obs-transition-table (0.2.7-1) unstable; urgency=medium

  * New upstream version 0.2.7.
  * debian/control:
      - Added a Breaks field to make this plugin incompatible with
        obs-text-slideshow, no longer in Debian.
      - Bumped (build-)dependency of libobs-dev and obs-studio to 29.
  * debian/copyright:
      - Added rights for the new file obs-websocket-api.h.
      - Updated upstream copyright years.
  * debian/patches/010_update-pt-BR.patch': removed because the upstream
    applied this patch. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 23:19:15 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: video
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libobs-dev (>= 28.0.1),
-               qtbase5-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libobs-dev (>= 29),
+               libxkbcommon-dev,
+               qt6-base-dev
+Standards-Version: 4.7.0
 Homepage: https://obsproject.com/forum/resources/transition-table.1174/
 Vcs-Browser: https://salsa.debian.org/debian/obs-transition-table
 Vcs-Git: https://salsa.debian.org/debian/obs-transition-table.git
@@ -14,8 +15,9 @@
 
 Package: obs-transition-table
 Architecture: any
-Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
+Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
+Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to create a transition table control
  This plugin adds a Transition Table to the tools menu. This table is useful
  to program several transitions between scenes. E.g. is possible to program
@@ -27,3 +29,5 @@
  This plugin, inspired by OBS Transition Matrix, is user-friendly and adds a
  nice professional touch when moving between scenes. This is a good way to
  create complex OBS setups.
+ .
+ The 'Transition Table' will be available at native OBS 'Tools' menu.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export QT_SELECT = qt5
 
 # Exclude "obs-" from NAME and set a DEST
 export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
@@ -13,10 +12,23 @@
 %:
 	dh $@
 
+# Detecting changes to help the upstream with pt_BR translation.
+# This detection will run in my machine only (canopus).
+execute_before_dh_auto_configure:
+	if [ "$(shell hostname)" = "canopus" ]; then \
+	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
+	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
+	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
+	        echo "ERROR: Translation to pt_BR is out of date."; \
+	        exit 1; \
+	    fi; \
+	fi
+
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                              -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
-                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME}
+                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
+                             -DLINUX_PORTABLE=Off
 
 execute_before_dh_install:
 	mkdir -p ${PLUGIN_DEST}

=== debian/watch ===
version=4

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-transition-table/tags .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.

# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).

opts="searchmode=plain, \
      downloadurlmangle=s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/, \
      filenamemangle=s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/" \
https://obsproject.com/forum/resources/transition-table.1174 .span.class..u-muted..(\d\S+)..span.

## obs-transition-table 0.3.1

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.16...3.26)
endif()
include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/common/bootstrap.cmake" NO_POLICY_SCOPE)

project(${_name} VERSION ${_version})

include(compilerconfig)
include(defaults)
include(helpers)

add_library(${PROJECT_NAME} MODULE)

target_link_libraries(${PROJECT_NAME} PRIVATE OBS::libobs)

if(BUILD_OUT_OF_TREE)
  find_package(libobs REQUIRED)
  find_package(obs-frontend-api REQUIRED)
  target_link_libraries(${PROJECT_NAME} PRIVATE OBS::obs-frontend-api)
else()
  target_link_libraries(${PROJECT_NAME} PRIVATE OBS::frontend-api)
endif()

find_package(Qt6 COMPONENTS Widgets Core)
if(BUILD_OUT_OF_TREE)
  if(OS_LINUX OR OS_FREEBSD OR OS_OPENBSD)
    find_package(Qt6 REQUIRED Gui)
  endif()
endif()
target_link_libraries(${PROJECT_NAME} PRIVATE Qt::Core Qt::Widgets)

if((OS_LINUX OR OS_FREEBSD OR OS_OPENBSD) AND Qt_VERSION VERSION_LESS "6.9.0")
	target_link_libraries(${PROJECT_NAME} PRIVATE Qt::GuiPrivate)
endif()

target_compile_options(
${PROJECT_NAME} PRIVATE $<$<C_COMPILER_ID:Clang,AppleClang>:-Wno-quoted-include-in-framework-header
                                -Wno-comma>)
set_target_properties(${PROJECT_NAME} PROPERTIES MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>DLL")
set_target_properties(
${PROJECT_NAME}
PROPERTIES AUTOMOC ON
            AUTOUIC ON
            AUTORCC ON)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

if(OS_WINDOWS)
  configure_file(cmake/windows/resources/installer-Windows.iss.in "${CMAKE_CURRENT_BINARY_DIR}/installer-Windows.generated.iss")
endif()

target_sources(${PROJECT_NAME} PRIVATE
	transition-table.cpp
	transition-table.hpp
	version.h)

if(BUILD_OUT_OF_TREE)
	set_target_properties_plugin(${CMAKE_PROJECT_NAME} PROPERTIES OUTPUT_NAME ${_name})
else()
	set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
endif()

=== debian/changelog ===
obs-transition-table (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1.
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Changed from qt6-base-dev to qt6-base-private-dev in Build-Depends
        field.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated dependencies to require libobs-dev and obs-studio >= 32.
        (Closes: #1128459)
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - 010_fix-FTBFS-qt6.patch: dropped because the upstream fixed the source
        code. Thanks!
      - 010_update-pt-BR.patch: added to update the pt-BR translation.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2026 08:41:11 -0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: obs-transition-table
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libobs-dev (>= 29),
+               libobs-dev (>= 32),
                libxkbcommon-dev,
-               qt6-base-dev
-Standards-Version: 4.7.0
+               qt6-base-private-dev
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/transition-table.1174/
 Vcs-Browser: https://salsa.debian.org/debian/obs-transition-table
 Vcs-Git: https://salsa.debian.org/debian/obs-transition-table.git
-Rules-Requires-Root: no
 
 Package: obs-transition-table
 Architecture: any
-Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
+Depends: obs-studio (>= 32), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio to create a transition table control

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,10 @@
                              -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                              -DLINUX_PORTABLE=Off
 
+# blhc should ignore CMake ABI tests.
+execute_before_dh_auto_build:
+	@echo 'blhc: ignore-line-regexp: /usr/bin/c\+\+ .*/Modules/CMakeCXXCompilerABI\.cpp .*'
+
 execute_before_dh_install:
 	mkdir -p ${PLUGIN_DEST}
 	find -name lib${PLUGIN_NAME}.so -exec cp {} ${PLUGIN_DEST}/${PLUGIN_NAME}.so \;

=== debian/watch ===
Version: 5

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-transition-table/tags .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.
# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).
Source: https://obsproject.com/forum/resources/transition-table.1174
Matching-Pattern: .span.class..u-muted..(\d\S+)..span.
Downloadurlmangle: s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/
Filenamemangle: s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/
Searchmode: plain
